Jump to content
Official BF Editor Forums
jareglaze

Battlefield 2 Editor Aix Mod Crash Error

Recommended Posts

Hi everyone,

I am new to Battlefield 2 map editing and I have been trying to edit a map for the mod AIX 2.0(Allied Intent Extended), but I keep running into an error. I have searched all over the internet and no one else seems to be having this problem. I have gone through all the steps and I am able to open maps in the normal Battlefield 2, but when I try to open up the modded battlefield 2 map with AIX in the editor it starts loading the objects but then gives me an error saying "At_Strela2 Kit Error, index conflict. 2 or more items use the same item index" and then the entire editor crashes. No matter how much I try this continues to happen. I was wondering if anyone has any idea what I could do to fix this? Thanks!

Share this post


Link to post
Share on other sites

Yes, AIX changes Weapon indices to their own needs and they will then conflict with any BF2 root mod layout. Nearly every mod does that as soon as they introduce their own armies and weapon setups.

You could either temporarily change the init.con of the map to use BF2 soldiers or adjust your editor to load the AIX soldiers and their setup.

Edit: whoops , just read the posting date - well, better late than never.

Ow, btw this is surely not an editor bug - real editor bugs should be posted by experienced users. Its not that we care anymore. Since the takeover by EA DICE never released an improved editor.

Edited by mschoeldgen[Xww2]

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×